Subject: Re: [Isis-wg] [Errata Held for Document Update] RFC5303 (2591)

From: Donald Eastlake <[email-masked]>
Date: Thu, 9 Aug 2012 11:35:18 -0400

I'd be happy to do a revision of 5303 to fix the four errata if people
think it is worth it. They are all off-by-one section numbers in
references to the ISO standard due to incomplete updating in the RFC
to reference the 2nd Edition.

Thanks,
Donald
=============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 155 Beaver Street, Milford, MA 01757 USA
 [email-masked]

On Thu, Aug 9, 2012 at 6:45 AM, RFC Errata System
<[email-masked]> wrote:
>
> The following errata report has been held for document update
> for RFC5303, "Three-Way Handshake for IS-IS Point-to-Point Adjacencies".
>
> --------------------------------------
> You may review the report below and at:
> http://www.rfc-editor.org/errata_search.php?rfc=5303&eid=2591
>
> --------------------------------------
> Status: Held for Document Update
> Type: Editorial
>
> Reported by: Mohammad Fahad Imteyaz <[email-masked]>
> Date Reported: 2010-10-29
> Held by: Adrian Farrel (IESG)
>
> Section: 3.2
>
> Original Text
> -------------
>       If the Neighbor System ID and Neighbor Extended Local Circuit ID
>       fields match those of the local system, or are not present, the
>       procedures described in section 8.2.4.2 are followed with the
>       following changes:
>
>
> Corrected Text
> --------------
>       If the Neighbor System ID and Neighbor Extended Local Circuit ID
>       fields match those of the local system, or are not present, the
>       procedures described in section 8.2.5.2 are followed with the
>       following changes:
>
>
> Notes
> -----
> Though the ISIS reference name in "Normative References" have been updated to "International Standard 10589:2002, Second Edition, 2002" , the section reference was still to first edition of ISO 10589.
>
> --------------------------------------
> RFC5303 (draft-ietf-isis-rfc3373bis-01)
> --------------------------------------
> Title               : Three-Way Handshake for IS-IS Point-to-Point Adjacencies
> Publication Date    : October 2008
> Author(s)           : D. Katz, R. Saluja, D. Eastlake 3rd
> Category            : PROPOSED STANDARD
> Source              : IS-IS for IP Internets
> Area                : Routing
> Stream              : IETF
> Verifying Party     : IESG
>

---

From: "Adrian Farrel" <[email-masked]>
Date: Thu, 9 Aug 2012 18:28:38 +0100

Hi Donald,

I suggest not knocking yourself out (unless you enjoy clubbing yourself!).

I haven't heard of anyone suffering from this family of typos over the last four
years. IMHO it can wait until there is another reason to open the document
(perhaps when 5303 advances on the standards ladder, are when a technical issue
has to be addressed?).

Adrian

> -----Original Message-----
> From: Donald Eastlake [mailto:[email-masked]]
> Sent: 09 August 2012 16:35
> To: isis mailing list
> Cc: [email-masked]; [email-masked]; [email-masked];
> [email-masked]
> Subject: Re: [Errata Held for Document Update] RFC5303 (2591)
> 
> > Though the ISIS reference name in "Normative References" have been
> updated to "International Standard 10589:2002, Second Edition, 2002" , the
> section reference was still to first edition of ISO 10589.
> >